## Class: Transmission lines

class TransmissionLine:
	# Class variables

	# Instance variables
	def __init__(self, sender, receiver, upper_power_limit):
		self.sender = sender
		self.receiver = receiver
		self.upper_power_limit = upper_power_limit
		self.line_power = 0
		

	def set_output_power(self, input_power):
		if input_power > self.upper_power_limit:
			self.line_power = self.upper_power_limit
		else:
			self.line_power = input_power